package main

import (
	"html/template"
	"log"
	"net/http"
)

const templ = `<p>A:{{.A}}</p> <p>B: {{.B}}</p>`

var data struct {
	A string
	B template.HTML
}

func main() {
	http.HandleFunc("/", handle)
	log.Fatal(http.ListenAndServe("0.0.0.0:8989", nil))
}

func handle(w http.ResponseWriter, r *http.Request) {
	t := template.Must(template.New("escape").Parse(templ))
	data.A = "<b>Hello!</b>"
	data.B = "<b>Hello!</b>"
	if err := t.Execute(w, data); err != nil {
		log.Fatal(err)
	}
}
